from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XNumberFormatCode(XInterface, Protocol):
    def getDefault(self, nFormatType: int, nFormatUsage: int, rLocale: Locale) -> NumberFormatCode: ...
    def getFormatCode(self, nFormatIndex: int, rLocale: Locale) -> NumberFormatCode: ...
    def getAllFormatCode(self, nFormatUsage: int, rLocale: Locale) -> list[NumberFormatCode]: ...
    def getAllFormatCodes(self, rLocale: Locale) -> list[NumberFormatCode]: ...
